package com.tsi.comm.server.tcp.handler;

import io.netty.channel.ChannelDuplexHandler;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.timeout.IdleState;
import io.netty.handler.timeout.IdleStateEvent;
import lombok.extern.slf4j.Slf4j;

@Slf4j
//@Component
//@ChannelHandler.Sharable
public class CvimServerRegisterHandler extends ChannelDuplexHandler {
    // 사용자는 userEventTriggered 에서 이벤트의 상태를 읽어 필요한 동작을 지정해주면 된다.
    public CvimServerRegisterHandler() {
        super();
        log.error("CvimServerRegisterHandler");
    }

    @Override
    public void userEventTriggered(ChannelHandlerContext ctx, Object evt) throws Exception {
        if (evt instanceof IdleStateEvent) {
            IdleStateEvent e = (IdleStateEvent) evt;
            log.error("CvimServerRegisterHandler: {}", e.toString());
            if (e.state() == IdleState.READER_IDLE) {
                //ctx.close();
            }
        }
        super.userEventTriggered(ctx, evt);
    }
}
